org.wildfly.swarm.config.security.security_domain

## Class ClassicJSSE<T extends ClassicJSSE<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.ClassicJSSE<T>

-     public class ClassicJSSE<T extends ClassicJSSE<T>>
      extends Object

  JSSE configuration. Configures attributes for keystores that can be used for setting up SSL.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicJSSE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `additionalProperties()` Additional properties that may be necessary to configure JSSE.
    `T` | `additionalProperties(Map value)` Additional properties that may be necessary to configure JSSE.
    `T` | `additionalProperty(String key, Object value)` Additional properties that may be necessary to configure JSSE.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `cipherSuites()` Comma separated list of cipher suites to enable on SSLSockets.
    `T` | `cipherSuites(String value)` Comma separated list of cipher suites to enable on SSLSockets.
    `String` | `clientAlias()` Preferred alias to use when the KeyManager chooses the client alias.
    `T` | `clientAlias(String value)` Preferred alias to use when the KeyManager chooses the client alias.
    `Boolean` | `clientAuth()` Boolean attribute to indicate if client's certificates should also be authenticated on the server side.
    `T` | `clientAuth(Boolean value)` Boolean attribute to indicate if client's certificates should also be authenticated on the server side.
    `String` | `getKey()`
    `Map` | `keyManager()` JSEE Key Manager factory
    `T` | `keyManager(Map value)` JSEE Key Manager factory
    `T` | `keyManager(String key, Object value)` JSEE Key Manager factory
    `Map` | `keystore()` Configures a JSSE key store
    `T` | `keystore(Map value)` Configures a JSSE key store
    `T` | `keystore(String key, Object value)` Configures a JSSE key store
    `String` | `protocols()` Comma separated list of protocols to enable on SSLSockets.
    `T` | `protocols(String value)` Comma separated list of protocols to enable on SSLSockets.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `serverAlias()` Preferred alias to use when the KeyManager chooses the server alias.
    `T` | `serverAlias(String value)` Preferred alias to use when the KeyManager chooses the server alias.
    `String` | `serviceAuthToken()` Token to retrieve PrivateKeys from the KeyStore.
    `T` | `serviceAuthToken(String value)` Token to retrieve PrivateKeys from the KeyStore.
    `Map` | `trustManager()` JSEE Trust Manager factory
    `T` | `trustManager(Map value)` JSEE Trust Manager factory
    `T` | `trustManager(String key, Object value)` JSEE Trust Manager factory
    `Map` | `truststore()` Configures a JSSE trust store
    `T` | `truststore(Map value)` Configures a JSSE trust store
    `T` | `truststore(String key, Object value)` Configures a JSSE trust store

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicJSSE

          public ClassicJSSE()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### additionalProperties

          public Map additionalProperties()

      Additional properties that may be necessary to configure JSSE.

    - #### additionalProperties

          public T additionalProperties(Map value)

      Additional properties that may be necessary to configure JSSE.

    - #### additionalProperty

          public T additionalProperty(String key,
                                      Object value)

      Additional properties that may be necessary to configure JSSE.

    - #### cipherSuites

          public String cipherSuites()

      Comma separated list of cipher suites to enable on SSLSockets.

    - #### cipherSuites

          public T cipherSuites(String value)

      Comma separated list of cipher suites to enable on SSLSockets.

    - #### clientAlias

          public String clientAlias()

      Preferred alias to use when the KeyManager chooses the client alias.

    - #### clientAlias

          public T clientAlias(String value)

      Preferred alias to use when the KeyManager chooses the client alias.

    - #### clientAuth

          public Boolean clientAuth()

      Boolean attribute to indicate if client's certificates should also be authenticated on the server side.

    - #### clientAuth

          public T clientAuth(Boolean value)

      Boolean attribute to indicate if client's certificates should also be authenticated on the server side.

    - #### keyManager

          public Map keyManager()

      JSEE Key Manager factory

    - #### keyManager

          public T keyManager(Map value)

      JSEE Key Manager factory

    - #### keyManager

          public T keyManager(String key,
                              Object value)

      JSEE Key Manager factory

    - #### keystore

          public Map keystore()

      Configures a JSSE key store

    - #### keystore

          public T keystore(Map value)

      Configures a JSSE key store

    - #### keystore

          public T keystore(String key,
                            Object value)

      Configures a JSSE key store

    - #### protocols

          public String protocols()

      Comma separated list of protocols to enable on SSLSockets.

    - #### protocols

          public T protocols(String value)

      Comma separated list of protocols to enable on SSLSockets.

    - #### serverAlias

          public String serverAlias()

      Preferred alias to use when the KeyManager chooses the server alias.

    - #### serverAlias

          public T serverAlias(String value)

      Preferred alias to use when the KeyManager chooses the server alias.

    - #### serviceAuthToken

          public String serviceAuthToken()

      Token to retrieve PrivateKeys from the KeyStore.

    - #### serviceAuthToken

          public T serviceAuthToken(String value)

      Token to retrieve PrivateKeys from the KeyStore.

    - #### trustManager

          public Map trustManager()

      JSEE Trust Manager factory

    - #### trustManager

          public T trustManager(Map value)

      JSEE Trust Manager factory

    - #### trustManager

          public T trustManager(String key,
                                Object value)

      JSEE Trust Manager factory

    - #### truststore

          public Map truststore()

      Configures a JSSE trust store

    - #### truststore

          public T truststore(Map value)

      Configures a JSSE trust store

    - #### truststore

          public T truststore(String key,
                              Object value)

      Configures a JSSE trust store

Copyright © 2017 JBoss by Red Hat. All rights reserved.